Package com.sap.ai.sdk.prompt.registry.model

# Class GroundingModuleConfigConfigPlaceholders

java.lang.Object
com.sap.ai.sdk.prompt.registry.model.GroundingModuleConfigConfigPlaceholders

public class GroundingModuleConfigConfigPlaceholders extends Object
Placeholders to be used for grounding input questions and output

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `GroundingModuleConfigConfigPlaceholders.Builder`
  Builder helper class.
  `static interface`
  `GroundingModuleConfigConfigPlaceholders.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GroundingModuleConfigConfigPlaceholders()`
  Default constructor for GroundingModuleConfigConfigPlaceholders.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GroundingModuleConfigConfigPlaceholders`
  `addInputItem(String inputItem)`
  Add one input instance to this `GroundingModuleConfigConfigPlaceholders`.
  `static GroundingModuleConfigConfigPlaceholders.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `GroundingModuleConfigConfigPlaceholders` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `GroundingModuleConfigConfigPlaceholders`.
  `List<String>`
  `getInput()`
  Contains the input parameters used for grounding input questions
  `String`
  `getOutput()`
  Placeholder name for grounding output
  `int`
  `hashCode()`
  `GroundingModuleConfigConfigPlaceholders`
  `input(List<String> input)`
  Set the input of this `GroundingModuleConfigConfigPlaceholders` instance and return the same instance.
  `GroundingModuleConfigConfigPlaceholders`
  `output(String output)`
  Set the output of this `GroundingModuleConfigConfigPlaceholders` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `GroundingModuleConfigConfigPlaceholders` instance.
  `void`
  `setInput(List<String> input)`
  Set the input of this `GroundingModuleConfigConfigPlaceholders` instance.
  `void`
  `setOutput(String output)`
  Set the output of this `GroundingModuleConfigConfigPlaceholders` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `GroundingModuleConfigConfigPlaceholders` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroundingModuleConfigConfigPlaceholders

    protected GroundingModuleConfigConfigPlaceholders()
    Default constructor for GroundingModuleConfigConfigPlaceholders.

- ## Method Details

  - ### input

    @Nonnull public GroundingModuleConfigConfigPlaceholders input(@Nonnull List<String> input)
    Set the input of this `GroundingModuleConfigConfigPlaceholders` instance and return the same instance.
    Parameters:
      `input` - Contains the input parameters used for grounding input questions
    Returns:
      The same instance of this `GroundingModuleConfigConfigPlaceholders` class

  - ### addInputItem

    @Nonnull public GroundingModuleConfigConfigPlaceholders addInputItem(@Nonnull String inputItem)
    Add one input instance to this `GroundingModuleConfigConfigPlaceholders`.
    Parameters:
      `inputItem` - The input that should be added
    Returns:
      The same instance of type `GroundingModuleConfigConfigPlaceholders`

  - ### getInput

    @Nonnull public List<String> getInput()
    Contains the input parameters used for grounding input questions
    Returns:
      input The input of this `GroundingModuleConfigConfigPlaceholders` instance.

  - ### setInput

    public void setInput(@Nonnull List<String> input)
    Set the input of this `GroundingModuleConfigConfigPlaceholders` instance.
    Parameters:
      `input` - Contains the input parameters used for grounding input questions

  - ### output

    @Nonnull public GroundingModuleConfigConfigPlaceholders output(@Nonnull String output)
    Set the output of this `GroundingModuleConfigConfigPlaceholders` instance and return the same instance.
    Parameters:
      `output` - Placeholder name for grounding output
    Returns:
      The same instance of this `GroundingModuleConfigConfigPlaceholders` class

  - ### getOutput

    @Nonnull public String getOutput()
    Placeholder name for grounding output
    Returns:
      output The output of this `GroundingModuleConfigConfigPlaceholders` instance.

  - ### setOutput

    public void setOutput(@Nonnull String output)
    Set the output of this `GroundingModuleConfigConfigPlaceholders` instance.
    Parameters:
      `output` - Placeholder name for grounding output

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `GroundingModuleConfigConfigPlaceholders`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `GroundingModuleConfigConfigPlaceholders` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `GroundingModuleConfigConfigPlaceholders` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `GroundingModuleConfigConfigPlaceholders` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static GroundingModuleConfigConfigPlaceholders.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `GroundingModuleConfigConfigPlaceholders` instance with all required arguments.